version: "3.4"

services:
  queues:
    image: mathwave/sprint-repo:monitoring
    networks:
      - monitoring
    environment:
      MONGO_HOST: "mongo.sprinthub.ru"
      MONGO_PASSWORD: $MONGO_PASSWORD_PROD
    deploy:
      mode: replicated
      restart_policy:
        condition: any
      placement:
        constraints: [node.labels.stage == production]
      update_config:
        parallelism: 1
        order: start-first

networks:
  queues:
    external: true